#include <iostream>
using namespace std;
int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
	
	int kon1,kon2;
	cin >>kon1>>kon2;
	int prv,dru;
	cin >>prv>>dru;
	bool t1,t2;
	
	if(kon1>prv)
	{
		t1=true;
	}
	else
	{
		t1=false;
	}
	
	if(kon2>dru)
	{
		t2=true;
	}
	else
	{
		t2=false;
	}
	
	if(t1 && t2)
	{
		cout <<"?\n";
	}
	else if(t1 && !(t2))
	{
		cout <<"prvi\n";
	}
	else if(!(t1) && t2)
	{
		cout <<"drugi\n";
	}
	else
	{
		cout <<"nijedan\n";
	}
	
	return 0;
}